PDA

View Full Version : [CLOSED] "...not a recognized Sencha SDK or application folder..." issue with EXT JS



dperezfa
3 Oct 2012, 4:13 AM
Hi!
I have a problem making work Sencha Cmd with EXT JS and i don't know how to fix it :s.

I'm following this guide:
http://docs.sencha.com/ext-js/4-1/#!/guide/command-section-6

(http://docs.sencha.com/ext-js/4-1/#!/guide/command-section-6)1) I have downloaded and installed the latest Sencha Cmd "SenchaSDKTools-2.0.0-beta3-windows.exe"
2) I have downloaded and unzipped the latest sencha SDK "ext-4.1.1a-gpl.zip"
3) I have opened a msdos window and executed "sencha" when in SDK directory and Sencha command don't recognizes the SDK:

...>cd ext-4.1.1a


...\ext-4.1.1a>sencha
[WARN] The current working directory (D:\OTROS PROYECTOS\OTROS DESARROLLOS\pruebas EXTJS\ext-4.1.1a) is not a recognized Sencha SDK or application folder. Runni
ng in backwards compatible mode.

Sencha Command v2.0.0 Beta 3
Copyright (c) 2012 Sencha Inc.
usage: sencha COMMAND [ARGS]

...

Inside ext-4.1.1a i can see all the EXTJS directories

...\ext-4.1.1a\pkgs
...\ext-4.1.1a\resources
...\ext-4.1.1a\src
...\ext-4.1.1a\welcome
...\ext-4.1.1a\bootstrap.js
...\ext-4.1.1a\build.xml
...\ext-4.1.1a\ext.js
...\ext-4.1.1a\ext-all.js
...\ext-4.1.1a\ext-all-debug.js
...\ext-4.1.1a\ext-all-debug-w-comments.js
...\ext-4.1.1a\ext-all-dev.js
...\ext-4.1.1a\ext-debug.js
...\ext-4.1.1a\ext-debug-w-comments.js
...\ext-4.1.1a\ext-dev.js
...\ext-4.1.1a\ext-neptune.js
...\ext-4.1.1a\ext-neptune-debug.js
...\ext-4.1.1a\ext-neptune-debug-w-comments.js
...\ext-4.1.1a\index.html
...\ext-4.1.1a\license.txt
...\ext-4.1.1a\release-notes.html
...\ext-4.1.1a\build
...\ext-4.1.1a\builds
...\ext-4.1.1a\cmd
...\ext-4.1.1a\docs
...\ext-4.1.1a\examples
...\ext-4.1.1a\locale

mitchellsimoens
3 Oct 2012, 5:34 AM
You should be using the new Sencha Cmd you can download here: http://www.sencha.com/forum/showthread.php?244212-Sencha-Cmd-V3-Beta-3.0.0.181-Now-Available

We have a blog to explain about the new Sencha Cmd here: http://www.sencha.com/blog/all-new-sencha-cmd/

If you are using 4.1.1a or 4.1.2a Sencha Cmd should be used.

dperezfa
3 Oct 2012, 5:38 AM
Thanks Mitchell! Using Sencha Cmd V3 Beta fixes the problem.